# Uses of Interface
com.databricks.jdbc.api.impl.SessionInfo

Packages that use SessionInfo
Package
Description
com.databricks.jdbc.api.impl

## Uses of SessionInfo in com.databricks.jdbc.api.impl

Classes in com.databricks.jdbc.api.impl that implement SessionInfo
Modifier and Type
Class
Description
`final class`
`ImmutableSessionInfo`
Immutable implementation of `SessionInfo`.
Methods in com.databricks.jdbc.api.impl with parameters of type SessionInfo
Modifier and Type
Method
Description
`static ImmutableSessionInfo`
ImmutableSessionInfo.`copyOf(SessionInfo instance)`
Creates an immutable copy of a `SessionInfo` value.
`final ImmutableSessionInfo.Builder`
ImmutableSessionInfo.Builder.`from(SessionInfo instance)`
Fill a builder with attribute values from the provided `SessionInfo` instance.